import java.awt.EventQueue;

import javax.swing.JFrame;


public class LiveEdit_Launch {

	public static void main(String args[]){
		if(args.length > 0){
			LiveEdit.modelLoader = args[0];
		}
		
		System.setProperty("apple.laf.useScreenMenuBar", "true");
		System.setProperty("com.apple.mrj.application.apple.menu.about.name", "LiveEdit");
		EventQueue.invokeLater(new Runnable(){
			public void run(){
				LiveEdit editor = new LiveEdit();
				editor.init();
				editor.setVisible(true);
				editor.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
			}
		});
	}
}
